#! make -f
#----------------------------------------------------------------------------
# Project:  NITRO-System - build - demos - g2d - samples
# File:     Makefile
#
# Copyright 2004,2005 Nintendo.  All rights reserved.
#
# These coded instructions, statements, and computer programs contain
# proprietary information of Nintendo of America Inc. and/or Nintendo
# Company Ltd., and are protected by Federal copyright law.  They may
# not be disclosed to third parties or copied or duplicated in any form,
# in whole or in part, without the prior written consent of Nintendo.
#
# $Log: Makefile,v $
# Revision 1.17  08/31/2005 06:25:56  kitani_toshikazu
# Added MultiCell_UILayout
#
# Revision 1.16  07/07/2005 07:04:38  kitani_toshikazu
# Added UserExAttribute
#
# Revision 1.15  06/22/2005 02:04:43  kitani_toshikazu
# (none)
#
# Revision 1.14  06/14/2005 09:16:12  kitani_toshikazu
# Added Renderer_CharChange
#
# Revision 1.13  02/22/2005 23:57:23  takano_makoto
# fix copyright header.
#
# Revision 1.12  02/21/2005 09:04:33  kitani_toshikazu
# Added OamManagerEx3
#
# Revision 1.11  12/02/2004 12:11:58  kitani_toshikazu
# Added OamManagerEx2
#
# Revision 1.10  11/11/2004 05:26:55  kitani_toshikazu
# (none)
#
# Revision 1.9  11/10/2004 09:23:09  kitani_toshikazu
# Minor Revisions
#
# Revision 1.8  11/10/2004 08:28:04  kitani_toshikazu
# Added a demo
#
# Revision 1.7  07/19/2004 05:11:45  nishida
# Added VRamAnimation.
#
# Revision 1.6  07/14/2004 09:20:13  hatamoto_minoru
# Added MultiCellAnimation and Render_2LCD.
#
# Revision 1.5  06/29/2004 07:17:34  hatamoto_minoru
# Added Entity and SoftwareSprite2.
#
# Revision 1.4  06/23/2004 08:47:15  hatamoto_minoru
# Added OamManagerEx .
#
# Revision 1.3  06/16/2004 09:37:54  hatamoto_minoru
# Added Render_Simple.
#
# Revision 1.2  06/14/2004 06:18:13  hatamoto_minoru
# Added Cell_Simple and CellAnimation.
#
# Revision 1.1  06/03/2004 04:52:51  nishida
# Registered the initial version.
#
# $NoKeywords: $
#----------------------------------------------------------------------------

include	$(NITROSYSTEM_ROOT)/build/buildtools/commondefs


#----------------------------------------------------------------------------

SUBDIRS	= \
		SoftwareSprite \
		Cell_Simple \
		CellAnimation \
		Renderer_Simple \
		OamManagerEx \
		Entity \
		SoftwareSprite2 \
		MultiCellAnimation \
		Renderer_2LCD \
		VRamAnimation \
		OamSoftwareSpriteDraw \
		Renderer_Callback1 \
		Renderer_Callback2 \
		RendererCore	   \
		RendererCore2	   \
		Renderer_PerfCheck \
		OamManagerEx2 \
		OamManagerEx3 \
		Renderer_CharChange \
		UserExAttribute     \
		MultiCell_UILayout 

#----------------------------------------------------------------------------

include	$(NITROSYSTEM_ROOT)/build/buildtools/modulerules


#===== End of Makefile =====

